<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="338dp"
    android:layout_height="299dp"
    android:background="@drawable/xinrui_radius_white_3dp"
    android:layout_gravity="center"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/rl1"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        >

        <ImageView
            android:id="@+id/close_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="5dp"
            android:padding="20dp"
            android:src="@mipmap/xinrui_back_close" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center"
            android:text="@string/xinrui_phone_login"
            android:textColor="@color/xinrui_title_text_color"
            android:textSize="20sp" />

    </RelativeLayout>
    <RelativeLayout
        android:layout_width="270dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="20dp"
        >

        <EditText
            android:id="@+id/et_user_phone"
            android:layout_width="match_parent"
            android:layout_height="35dp"
            android:layout_centerHorizontal="true"
            android:background="@drawable/xinrui_edittext_bg"
            android:digits="0123456789"
            android:drawableLeft="@mipmap/xinrui_phone_icon"
            android:drawablePadding="10dp"
            android:hint="@string/xinrui_input_number"
            android:maxLength="20"
            android:paddingLeft="10dp"
            android:textColorHint="@color/xinrui_deepgrey"
            android:textSize="14sp" />


        <EditText
            android:id="@+id/et_user_code"
            android:layout_width="match_parent"
            android:layout_height="35dp"
            android:layout_below="@id/et_user_phone"
            android:layout_alignLeft="@id/et_user_phone"
            android:layout_marginTop="20dp"
            android:background="@drawable/xinrui_edittext_bg"
            android:digits="0123456789"
            android:drawableLeft="@mipmap/xinrui_sms_img"
            android:drawablePadding="10dp"
            android:hint="@string/xinrui_input_code"
            android:maxLength="10"
            android:paddingLeft="10dp"
            android:textColorHint="@color/xinrui_deepgrey"
            android:textSize="14sp" />


        <View
            android:layout_width="1dp"
            android:layout_height="20dp"
            android:layout_marginTop="27dp"
            android:layout_below="@id/et_user_phone"
            android:layout_toLeftOf="@id/btn_get_code"
            android:background="@color/xinrui_deepgrey" />

        <Button
            android:id="@+id/btn_get_code"
            android:layout_width="90dp"
            android:layout_height="35dp"
            android:layout_below="@id/et_user_phone"
            android:layout_alignRight="@id/et_user_phone"
            android:layout_marginTop="20dp"
            android:background="@null"
            android:text="@string/xinrui_get_phone_code"
            android:textColor="@color/xinrui_color_purple"
            android:textSize="15sp" />


        <Button
            android:id="@+id/btn_reg_compete"
            android:layout_width="match_parent"
            android:layout_height="35dp"
            android:layout_below="@id/btn_get_code"
            android:layout_centerHorizontal="true"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="20dp"
            android:background="@drawable/xinrui_radius_main_color_bg"
            android:gravity="center"
            android:text="@string/xinrui_login"
            android:textColor="@color/xinrui_white"
            android:textSize="16sp" />

        <RelativeLayout
            android:id="@+id/reg_tip_ll"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_below="@id/btn_reg_compete"
            android:layout_marginTop="20dp">

            <CheckBox
                android:id="@+id/cb_register"
                style="@style/xinrui_checkbox_style"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_marginLeft="8dp"
                android:checked="true"
                android:gravity="center" />

            <TextView
                android:id="@+id/tv_agree_tip"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_marginLeft="6dp"
                android:layout_toRightOf="@id/cb_register"
                android:gravity="center"
                android:text="@string/xinrui_agreement_tip"
                android:textColor="@color/xinrui_font_lightblack"
                android:textSize="11dp" />

            <TextView
                android:id="@+id/tv_tip"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_toRightOf="@id/tv_agree_tip"
                android:gravity="center"
                android:text="@string/xinrui_agree_register_tip"
                android:textColor="@color/xinrui_text_orange_color"
                android:textSize="11dp" />

            <TextView
                android:id="@+id/tv_and_tip"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_toRightOf="@id/tv_tip"
                android:gravity="center"
                android:text="@string/xinrui_and"
                android:textColor="@color/xinrui_font_lightblack"
                android:textSize="11dp" />

            <TextView
                android:id="@+id/tv_private_policy"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_toRightOf="@id/tv_and_tip"
                android:gravity="center|left"
                android:text="@string/xinrui_private_policy"
                android:textColor="@color/xinrui_text_orange_color"
                android:textSize="11dp" />
        </RelativeLayout>
    </RelativeLayout>
</LinearLayout>